import { jsx } from "react/jsx-runtime";
import { FactoryIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Factory = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Factory", ...props, children: /* @__PURE__ */ jsx(FactoryIcon, { weight: variant }) });
  }
);
Factory.displayName = "Factory";
Object.assign(Factory, { isGdsIcon: true });
export {
  Factory
};
